

class MatrixMath {

public :
	
	//Initialization
	MatrixMath();

	MatrixMath(/*in*/int iColumns,/*in*/int iRows);
	
	//MatrixDataFunctions
	bool addRow(/*in*/float fInRow);
	void changeRow(/*in*/float fInRow,/*in*/int iRowNum);
	void changeElement(/*in*/float fElement,/*in*/int iColNum,/*in*/int iRowNum);
	
	//MathFunctions
	void multiply(float *pMatrix1, int ii, int ij, float *pMatrix2, int ik, int il, float *pMatrix3);
	void dot();
	void add();
	void cross();

private :
	bool bIsMatrixInstance; //Is this an instance of a matrix (true)or just a group of functions
	//to be used(false)
	
};
